## psfreedom 0.2-1

=== debian/changelog ===
psfreedom (0.2-1) unstable; urgency=low

  * Fixed permissions

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Thu, 09 Sep 2010 18:21:41 +0300

psfreedom (0.2) unstable; urgency=low

  * UI Revamped, thanks Bash!

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Thu, 09 Sep 2010 03:45:07 +0300

psfreedom (0.1) unstable; urgency=low

  * Initial release.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Fri, 03 Sep 2010 18:09:25 +0300

## psfreedom 0.3-1

=== src/omap1/Makefile ===
EXTRA_CFLAGS = -I/usr/include

obj-m	:= psfreedom.o 

ifndef KDIR
  KDIR := /lib/modules/$(shell uname -r)/build
  ifneq ($(shell if test -d $(KDIR); then echo yes; fi),yes)
    KDIR := /usr/src/linux
  endif
endif

PWD	:= $(shell pwd)


ifndef PLATFORM
all:
	@echo "Please choose your platform by running 'make <platform>'." >&2
	@echo "You can also export the PLATFORM environment variable before running 'make'" >&2
	@false
else
all: ${PLATFORM}
endif

#Build rules

build:
	$(MAKE) -C $(KDIR) M=$(PWD) EXTRA_CFLAGS="${EXTRA_CFLAGS}" EXTRAVERSION=${EXTRAVERSION} modules

clean:
	rm -f *.o *~ core .depend .*.cmd *.ko *.mod.c
	rm -rf .tmp_versions

# Aliases for platforms

n900: N900
n900-power: N900-POWER
n800: N8x0
N800: N8x0
n810: N8x0
N810: N8x0
n8x0: N8x0
palmpre: PalmPre
PALMPRE: PalmPre
palmpixi: PalmPixi
PALMPIXI: PalmPixi
archos5: ARCHOS_GEN6
ARCHOS5: ARCHOS_GEN6
Archos5: ARCHOS_GEN6
archos_gen6: ARCHOS_GEN6
archos5it: ARCHOS_GEN7
ARCHOS5IT: ARCHOS_GEN7
Archos5IT: ARCHOS_GEN7
archos_gen7: ARCHOS_GEN7
desire: Desire
DESIRE: Desire
dingoo: Dingoo
DINGOO: Dingoo

# Build configuration for each target
# Don't forget to add a dependency on 'build'

N900: KDIR := /usr/src/kernel-2.6.28/
N900: EXTRAVERSION:=-omap1
N900: EXTRA_CFLAGS += -DENABLE_MUSB_CONTROLLER
N900: build

N900-POWER: KDIR := /usr/src/kernel-power-2.6.28/
N900-POWER: EXTRAVERSION:=$(shell if [ -f $(KDIR)/debian/changelog ]; then \
	 dpkg-parsechangelog -l$(KDIR)/debian/changelog | sed -ne 's/^Version: .*-maemo\(.*\)/.10power\1/p'; \
	fi)
N900-POWER: EXTRA_CFLAGS += -DENABLE_MUSB_CONTROLLER
N900-POWER: build

N8x0: EXTRA_CFLAGS += -DENABLE_MUSB_CONTROLLER
N8x0: KDIR := /usr/src/kernel-source-diablo
N8x0: EXTRAVERSION:=-omap1
N8x0: build

PalmPre: EXTRA_CFLAGS := -DENABLE_MUSB_CONTROLLER
PalmPre: KDIR	:= /usr/src/linux-2.6.24
PalmPre: EXTRAVERSION:=-joplin-3430
PalmPre: build

PalmPixi: EXTRA_CFLAGS := -DENABLE_MUSB_CONTROLLER -DCONFIG_USB_GADGET_MUSB_HDRC
PalmPixi: KDIR	:= /usr/src/linux-2.6.24-pixi
PalmPixi: EXTRAVERSION:=-chuck
PalmPixi: build

ARCHOS_GEN6: EXTRA_CFLAGS += -DENABLE_MUSB_CONTROLLER -DENABLE_MUSB_ARCHOS_GEN6_CONTROLLER
ARCHOS_GEN6: KDIR   := /usr/src/linux-2.6.22.1-omap1
ARCHOS_GEN6: EXTRAVERSION:=-omap1
ARCHOS_GEN6: build

ARCHOS_GEN7: EXTRA_CFLAGS += -DENABLE_MUSB_CONTROLLER
ARCHOS_GEN7: KDIR   := /usr/src/linux-2.6.27.10-omap1
ARCHOS_GEN7: EXTRAVERSION:=-omap1
ARCHOS_GEN7: build

Desire: EXTRA_CFLAGS += -DENABLE_MSM72K_CONTROLLER -DDISABLE_FIRMWARE_HOTPLUG
Desire: KDIR := /usr/src/linux-2.6.32.9
Desire: EXTRAVERSION:=
Desire: build

Dingoo: EXTRA_CFLAGS += -DENABLE_JZ4740_CONTROLLER
Dingoo: KDIR := /usr/src/opendingux-kernel
Dingoo: EXTRAVERSION:=
Dingoo: build

## psfreedom 0.2-2

=== debian/changelog ===
psfreedom (0.2-2) unstable; urgency=low

  * Removed import gobject from code, not needed.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Thu, 09 Sep 2010 20:15:44 +0300

=== debian/control ===
Source: psfreedom
Section: user/system
Priority: optional
Maintainer: Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>
Build-Depends: debhelper (>= 5), kernel-source, libncurses5-dev
Standards-Version: 3.7.2

Package: psfreedom
Architecture: armel
Description: PSFreedom is a UI to jailbreak your PS3.
 Contains the needed modules to jailbreak your PS3 plus an easy to use GUI.
 Compatible with the stock kernel and kernel-power, and with PS3 FW 3.41.
 .
 Thanks to:
 KaKaRoTo for his hard work on the PSFreedom hack.
 Bash for his work on design and graphics used in the application.
 And in no particular order: Venomo, frals, Khertan, noobmonk3y, and lcuk for helping with Python.
Depends: python, python2.5-qt4-gui, python2.5-qt4, python2.5-qt4-webkit, alphathemefix
XB-Maemo-Display-Name: PSFreedom
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAAIAAAACACAYAAADDPmHLAAAACXBIWXMAAAsT
 AAALEwEAmpwYAAAKT2lDQ1BQaG90b3Nob3AgSUNDIHByb2ZpbGUAAHjanVNn
 VFPpFj333vRCS4iAlEtvUhUIIFJCi4AUkSYqIQkQSoghodkVUcERRUUEG8ig
 iAOOjoCMFVEsDIoK2AfkIaKOg6OIisr74Xuja9a89+bN/rXXPues852zzwfA
 CAyWSDNRNYAMqUIeEeCDx8TG4eQuQIEKJHAAEAizZCFz/SMBAPh+PDwrIsAH
 vgABeNMLCADATZvAMByH/w/qQplcAYCEAcB0kThLCIAUAEB6jkKmAEBGAYCd
 mCZTAKAEAGDLY2LjAFAtAGAnf+bTAICd+Jl7AQBblCEVAaCRACATZYhEAGg7
 AKzPVopFAFgwABRmS8Q5ANgtADBJV2ZIALC3AMDOEAuyAAgMADBRiIUpAAR7
 AGDIIyN4AISZABRG8lc88SuuEOcqAAB4mbI8uSQ5RYFbCC1xB1dXLh4ozkkX
 KxQ2YQJhmkAuwnmZGTKBNA/g88wAAKCRFRHgg/P9eM4Ors7ONo62Dl8t6r8G
 /yJiYuP+5c+rcEAAAOF0ftH+LC+zGoA7BoBt/qIl7gRoXgugdfeLZrIPQLUA
 oOnaV/Nw+H48PEWhkLnZ2eXk5NhKxEJbYcpXff5nwl/AV/1s+X48/Pf14L7i
 JIEyXYFHBPjgwsz0TKUcz5IJhGLc5o9H/LcL//wd0yLESWK5WCoU41EScY5E
 mozzMqUiiUKSKcUl0v9k4t8s+wM+3zUAsGo+AXuRLahdYwP2SycQWHTA4vcA
 APK7b8HUKAgDgGiD4c93/+8//UegJQCAZkmScQAAXkQkLlTKsz/HCAAARKCB
 KrBBG/TBGCzABhzBBdzBC/xgNoRCJMTCQhBCCmSAHHJgKayCQiiGzbAdKmAv
 1EAdNMBRaIaTcA4uwlW4Dj1wD/phCJ7BKLyBCQRByAgTYSHaiAFiilgjjggX
 mYX4IcFIBBKLJCDJiBRRIkuRNUgxUopUIFVIHfI9cgI5h1xGupE7yAAygvyG
 vEcxlIGyUT3UDLVDuag3GoRGogvQZHQxmo8WoJvQcrQaPYw2oefQq2gP2o8+
 Q8cwwOgYBzPEbDAuxsNCsTgsCZNjy7EirAyrxhqwVqwDu4n1Y8+xdwQSgUXA
 CTYEd0IgYR5BSFhMWE7YSKggHCQ0EdoJNwkDhFHCJyKTqEu0JroR+cQYYjIx
 h1hILCPWEo8TLxB7iEPENyQSiUMyJ7mQAkmxpFTSEtJG0m5SI+ksqZs0SBoj
 k8naZGuyBzmULCAryIXkneTD5DPkG+Qh8lsKnWJAcaT4U+IoUspqShnlEOU0
 5QZlmDJBVaOaUt2ooVQRNY9aQq2htlKvUYeoEzR1mjnNgxZJS6WtopXTGmgX
 aPdpr+h0uhHdlR5Ol9BX0svpR+iX6AP0dwwNhhWDx4hnKBmbGAcYZxl3GK+Y
 TKYZ04sZx1QwNzHrmOeZD5lvVVgqtip8FZHKCpVKlSaVGyovVKmqpqreqgtV
 81XLVI+pXlN9rkZVM1PjqQnUlqtVqp1Q61MbU2epO6iHqmeob1Q/pH5Z/YkG
 WcNMw09DpFGgsV/jvMYgC2MZs3gsIWsNq4Z1gTXEJrHN2Xx2KruY/R27iz2q
 qaE5QzNKM1ezUvOUZj8H45hx+Jx0TgnnKKeX836K3hTvKeIpG6Y0TLkxZVxr
 qpaXllirSKtRq0frvTau7aedpr1Fu1n7gQ5Bx0onXCdHZ4/OBZ3nU9lT3acK
 pxZNPTr1ri6qa6UbobtEd79up+6Ynr5egJ5Mb6feeb3n+hx9L/1U/W36p/VH
 DFgGswwkBtsMzhg8xTVxbzwdL8fb8VFDXcNAQ6VhlWGX4YSRudE8o9VGjUYP
 jGnGXOMk423GbcajJgYmISZLTepN7ppSTbmmKaY7TDtMx83MzaLN1pk1mz0x
 1zLnm+eb15vft2BaeFostqi2uGVJsuRaplnutrxuhVo5WaVYVVpds0atna0l
 1rutu6cRp7lOk06rntZnw7Dxtsm2qbcZsOXYBtuutm22fWFnYhdnt8Wuw+6T
 vZN9un2N/T0HDYfZDqsdWh1+c7RyFDpWOt6azpzuP33F9JbpL2dYzxDP2DPj
 thPLKcRpnVOb00dnF2e5c4PziIuJS4LLLpc+Lpsbxt3IveRKdPVxXeF60vWd
 m7Obwu2o26/uNu5p7ofcn8w0nymeWTNz0MPIQ+BR5dE/C5+VMGvfrH5PQ0+B
 Z7XnIy9jL5FXrdewt6V3qvdh7xc+9j5yn+M+4zw33jLeWV/MN8C3yLfLT8Nv
 nl+F30N/I/9k/3r/0QCngCUBZwOJgUGBWwL7+Hp8Ib+OPzrbZfay2e1BjKC5
 QRVBj4KtguXBrSFoyOyQrSH355jOkc5pDoVQfujW0Adh5mGLw34MJ4WHhVeG
 P45wiFga0TGXNXfR3ENz30T6RJZE3ptnMU85ry1KNSo+qi5qPNo3ujS6P8Yu
 ZlnM1VidWElsSxw5LiquNm5svt/87fOH4p3iC+N7F5gvyF1weaHOwvSFpxap
 LhIsOpZATIhOOJTwQRAqqBaMJfITdyWOCnnCHcJnIi/RNtGI2ENcKh5O8kgq
 TXqS7JG8NXkkxTOlLOW5hCepkLxMDUzdmzqeFpp2IG0yPTq9MYOSkZBxQqoh
 TZO2Z+pn5mZ2y6xlhbL+xW6Lty8elQfJa7OQrAVZLQq2QqboVFoo1yoHsmdl
 V2a/zYnKOZarnivN7cyzytuQN5zvn//tEsIS4ZK2pYZLVy0dWOa9rGo5sjxx
 edsK4xUFK4ZWBqw8uIq2Km3VT6vtV5eufr0mek1rgV7ByoLBtQFr6wtVCuWF
 fevc1+1dT1gvWd+1YfqGnRs+FYmKrhTbF5cVf9go3HjlG4dvyr+Z3JS0qavE
 uWTPZtJm6ebeLZ5bDpaql+aXDm4N2dq0Dd9WtO319kXbL5fNKNu7g7ZDuaO/
 PLi8ZafJzs07P1SkVPRU+lQ27tLdtWHX+G7R7ht7vPY07NXbW7z3/T7JvttV
 AVVN1WbVZftJ+7P3P66Jqun4lvttXa1ObXHtxwPSA/0HIw6217nU1R3SPVRS
 j9Yr60cOxx++/p3vdy0NNg1VjZzG4iNwRHnk6fcJ3/ceDTradox7rOEH0x92
 HWcdL2pCmvKaRptTmvtbYlu6T8w+0dbq3nr8R9sfD5w0PFl5SvNUyWna6YLT
 k2fyz4ydlZ19fi753GDborZ752PO32oPb++6EHTh0kX/i+c7vDvOXPK4dPKy
 2+UTV7hXmq86X23qdOo8/pPTT8e7nLuarrlca7nuer21e2b36RueN87d9L15
 8Rb/1tWeOT3dvfN6b/fF9/XfFt1+cif9zsu72Xcn7q28T7xf9EDtQdlD3YfV
 P1v+3Njv3H9qwHeg89HcR/cGhYPP/pH1jw9DBY+Zj8uGDYbrnjg+OTniP3L9
 6fynQ89kzyaeF/6i/suuFxYvfvjV69fO0ZjRoZfyl5O/bXyl/erA6xmv28bC
 xh6+yXgzMV70VvvtwXfcdx3vo98PT+R8IH8o/2j5sfVT0Kf7kxmTk/8EA5jz
 /GMzLdsAAAAgY0hSTQAAeiUAAICDAAD5/wAAgOkAAHUwAADqYAAAOpgAABdv
 kl/FRgAAFUJJREFUeNrtnVtwFceZx+3splKpbPZhK6naqt2qfdiHfdldb+LE
 NjFgg40xxBgM2EEISQgZgWSQACNuEkIICxBXgZHBseM4dshmE7b24pd92BBs
 CAbMzQEJjBDogkAg7giEuLjz/466nT6tnjndM3OO5oh5+NU5p89Mz0x//75/
 3fMQY+yhiAeXKBEiAUSJEAkgIhJARCSAiEgAEZEAIiIBREQCiOMjxh7ewti3
 wXfAYz9n7N1fMrYbfAb2RgTPVgU5XPl//4eM7XiXsTlkn7cZ+5taxr4ZmAAQ
 4V8g4u/hInt+y9idbQhMR/7zAeE3jF1FBl0Hu32XMq4vAWxm7J+gtgOI9C6M
 /yVgbmyTPrcpv3XHuoXrzt3mcj2ne3G63rZ+DJ7vPuj+GWOV4BueBAAFjf81
 Y50w/r3f9CgrxtY7d9l712+x2vbLrPZcPJs4tf2KKxouS5+XlTC3453+c7pW
 4jBK77c7rrFfdt3plQlgr+73GfvoLcb+wUoAMH7uvzN2TTY88QEusr6lg1U3
 nrViFcftf5PzI5ypae1gH8I+qs1QAnSvwdcljP29kQBQ349Hsd/yH/hBoBRg
 v0DE63CBlSfPph3V0me1Q5garvvP6bxqi3twjKPR4bvutxM4ruz4GVZwpIlN
 Pt7KZt68zQpgu/weOsHrCQVADT4o5le/5obfev9Ltr7tIluBCzxopIO4S2Ho
 vM9Psx/vO8F+uKuO/fPHR77iiYMnWeaNLiEAoh1kuAoAub8Auf8Sin9GbED9
 UoULLY+wxovoEp23KGbwUzGDP6YYXMcAiCD7Vrcsgi3gW44CQF9yqzD+B3fv
 saqGtgcLJHKYoBw+xcLgOp5ECSEJ4CCYrRXAm2gkoPj/v61U9IOa9its2Yk2
 R95o6I1TuPjP7VynOOTf4nuisDCw4vR5tvrMRS0r8Z8QnThefJ9V18x+gpw7
 cHe9J4OrPALhSAK4AbZrBVDL2CgIYA+qAEasbbvEKpGoqWaZ9KmjUvO/2/Gm
 VHr8bxUMWnPpOtvU2cXeQnH7s56WN3uXf+qQ/9t0s5stvnKD5bRcYAMPNQZi
 dBVJAPdBvVYAm/E/bugwGf9DsKr1IqvAA+pYKn0ubz7P1ly4ytZevM7WgbUc
 9XsvLhmGSdB1VlJvBCzl1081y1A0033UwtjvIJ3e4QZ9xwHdf+iXs0owE2SC
 CRJju7rZMIjqBwcaAhNAxrWbsgianEqAgvcY+/wDqv8BJXLFF2fYEo78naiC
 4d+Een+KY/uK2tvonl7pZCtRWlXwe0wWb5xqZzVISJP70glhMzf6dMXgbozC
 sz2ONoBfATy2v0EWwGknAUyDWg//gvr9YAUEUI4H17EcCb75/n2GbmNo2IL7
 WYNSoqLhbEyg5YpgVcodvqthFB+JTL3eTx0+1WOWg2JNTp9gKYTv7/3CswAe
 xbkJBbAJAnhHEsByCGDx8TO9WNp4jr2FxN5CiW7IZotj/UL3tvL8VbYYxuvF
 cYcwKVyInL6/gTSovXPP+h7Wgvkg24fRVV5Gr+xHR5uTJ4A3uQDexw+iCo2S
 MnRDVNagGNzMjRpmam7eZuVoVdPomBeWn7tsdb2NoAxMDdDoOgbh3pIlgHwU
 W4d+jh9oC7BlEMBCGHyRBP1+izdi0oENaCOUoeEmP0OpAVVnLxtfYxUoYj1D
 bBNShK0IjASwkQvgPd49qYQAFhxrjWMJwmqp8aWwyeH3Js1/qWY9RLAIIliI
 +zehwuEZVSp5gk7oI2wah8YCQP11SPRPlzZfYPORIDLlCNskGTZdWIvqQBWz
 DhLKRrQhnOIRxXxuHxpebhM88of64ASwAdUX6rJD7/K+awWMPe9YSxyLEYaq
 Ii1Z1n4Fz9CqoeWr7yuvdmrPXQdKwKQQGF5m5MVrwQoAddpB0W8tRz9/bn1L
 HKUI20B1qwsbNb/DQA1y9ny07EvwHDoWnjzb65xq3oWb6ME4Y250xbpvMhTW
 F1WBkQBqIADUbQdFH3Zx03n2OhJGprRJL4AaDRuUTzm8r6jsuNZL1ILlyP3i
 OC8NOzLuUxCRSX+dRvmoIUc52K8ASFiBCGA9Y6+SAERftgzGnlPXHGM2ZyHC
 1lPDKgnUOITVaI7RfdY4nCsfs/rOXTxPy1fPFfte38M6lBCrPeR4P/1zggTj
 VwiJRGcsANR3B0S/lnI7zUzJLEDYOl4n2rBAE1cihOjo+7zGc6ys7RKrun4r
 Fp8w8jrF6OukMKf/FrV0xF2DPuejbfO6h9E6Mn5QY/ZUIngVAM0d+BbAWsby
 UO8dEP3bhafbWRGULTOvqT02ymULnVeM831R10NJ41m2suuOp/sgKi5d/yqu
 Yj71OgIC8JLwQU7Y+BEBTSAFJgDRz10AAcxEwsuUIGwN/rOlRCMmv1R13vZ0
 LysgHjqfHC1+xLtRVI/aJvrw9stJmbql3Bx0NWAsADSA9os+7zwYbcbRpjhe
 R9gq3khKxGqJuTEx9cQxk6PG7RQ+w+HYYuq23bsfdx0TqGX/vJJYlINsE9xP
 ve/qwAFRUtUS5P0YCQC5Iw8Npf2i70sCeO1IU4xC/jkHYdU8Eau5oas1rFI+
 STiFPB4RVxAsvnjdWJCr+CBOtqbr5CXHmQ7CeIF6E7b3MxTtLF8CQO6YgsbS
 ftEHnnuqPeZiLDMbYSvJV8CS2Zq43CjUfNeFFTe0xV2nWrmuEGQVKHDJLV4E
 kCzjC6iKCapKMhIAcsgUtJI/E33hOafOsWl/PB1jOmcWwlZQPWoJnTcdBovF
 Q58q0jW0YfJ/ShxVqAbcxFcKshLklrCVAHKj0LR6chsPMBIAckouCUD0nWfD
 aPlIbJkihC3nTg42FEtiCpryzi7H6xYZFpepmpb1CvU2qNqiqoHuXYfb/RgL
 AO2Az0S/eRb63lORwDIzEVbFi1QbZmrikpFFNlX5Lh8zVXPMYghAvd6SBBM2
 QQjAZjKmrzESAIrLyRDAPjFgUgSj0aoTmRkIewP/2ULnvYrzbclTPnWU3eiK
 u9Z8g5E8VQBeegFi+NePq1aoBIC6ejIagvvEgAnlWuoryxQibBnNrFlSGBPT
 KS1THMJNKYURxHWKPLaYvYwDyCUBFc39QgBoCO4TAyYzGs+y3MOn4ihAWCV3
 hrChQBNXHJ97p+xWN6uwdM5QBUC//U7KUClC9XAYqwUjAaDRlIN2wF4xYFII
 VefAODLTEEaJTSy1YLomLlsmO7AY8ef47DNTAyvoeXoSQ1iqByMBoPGUg3bA
 XjFoUgCjZR9ujCMfYUt4I8sEIZb8WFynAicXVUuWBwPpRs28tgNMSgbqo9M1
 +6p0MBYAqoG9YvCEcu2kQ41xTEVYOTmLWDJVE5dKVoL/Vcbub2Ajz18JzIki
 iGrAtOEoSohUCcJIAGhBZ6Ma2CMGUPIb2lgmElomD2FU5NryqiYuLwjjj4Hx
 B6AL6NUIQY7BB+HQYepIklQBoBWdjVJgjxi9mwqjZRxsjGMK+dnzMXUb6LyJ
 MFwQjP7sRMz4Xo1FOdApoVJVCiSqLoJuPxgJAK31LJQCe8QoGuXaCQdPxpGL
 sFI+vGpDriYuHRkJGA/DD2+76CuR3ZwnqBRIVlvAqyBIlH6rCiMBoLWehVLg
 UzGalneiLeYsIZNDiyzIq8aS/NYONhnneoHOfe3CVTbjZrcn50zbaVwadu2L
 qsBksserA4qxAFAKfCpG1HKR+C8fOMleAeIzmxZYkLdQipnr0TPX1nMm7CLw
 umLYSAAVXABiVG3yiTNsPBKih5MxshC2gLyFkshC6VMYPyh/fLc5c50IkuHG
 HRSJ/ACtBYB++ySIYLcYvcv54kysqyUYByZBAPP5eHsqKNFM5aZiJY3qnBHW
 0oAEavJMVgIQo3fZigCITITNI2+hFFAS8PJqP+P1lMhUeoSpgWgjAiMBoL+e
 CRHsFqN3k2Bs6m/LZNDKGm6cZDMl4HozqC4V1b/UIAuTGBItETMWQDkEIIZx
 SQDU55aZgLC5vF5OJkGuuk3mvD21E6hk8TObmIoSzkgAZRAARPAHMXw78Xgr
 exFGl/kJwmgBRTIpCNj4QfvumwiCcmSq2w1uQjcSQClsTgIQw7cZMPYoGF3m
 FYTRLoNBMEfDjAA3WgiDswZVF9R2SFUJ4dTLMRLAIggApcAuMXw7AcamHSqJ
 F/jnywibRe5i3IjqdzlM/m+2wTlFPjdS8trdS7UgqPuWrPYDlQK+BFAqCYCK
 +5H7vohjPMKK+QLKYm44p9+zNBS7kBXAw1PjLB1ctER1QWIIuqrQDRIZCWAh
 Sl+IYJcYv3/lWCsbAaPLjD3W6mpEr+Qy/3Pt6WD0INy/vZR+xgIAO8X4/fhj
 LbElVDIvIayIF9c25HRcZZlQu46xrR2Ors4612dSeBCbJ/ZXIei6vEYCWAAB
 gJ1iCHYcjD0cJz4nMQZhM/kWpzaMUeIazhm65zj7l0+O9ktj+hl08rNfgG6+
 w0gA83E+CUCMyY+F0YbtPR7HaITN4K11G0Zr4noWxv/ezsj4QS0Nc3N4MRLA
 PJwLEewU4/Av1bfEjCTzIsJew3+2vKiJy+v+90FjWv3IpKqh6bX76EkAJTgX
 IvhEjMWPgdGegaFkRiGskDyGLRmlxPXk7vC4Tqd6XsEGatymTABz0fMrkQQw
 GkajOlrmBYQV8NE6G16Q4nrq02OhqvfDtDlEUAL1JQAxGfNifTMbAmPJjETY
 dL7luQ0jpbjCVu97EYDTgEvaCwB8IiZkRtU1s6dhMJmRCJsmGXaaoQBG8Lge
 D+GqGa+OoKlYHUyDRUE4vRoJYA5jr5AAxKTMCzDaYBhNZgQXgC103sDdKPpD
 2Nr2Ws+aupeletMo3dSwsQDAx0IAP4bRBsFoMs8jTIrIGDrv30La36d+d1jn
 HLy4pHkeCRQCEDNzI3mulRmOsKl8T3wbnj7SFOo+tx/fv2RVBV72CfI1FzAb
 AgAfi9m7nmK7Po7nEPYqrRmwIA88EfKhWz+bNIpiN0inE6/342s2cBbOBzvE
 zN0I1I3UX5cZdtReAJmWe9v3VTXgd1aOzve7iIMafX58B5y6p0YCKFYE8PzR
 JjYADyPzLMLyeK42IcfDyw3SrTfgNCFD8dFzu40a0n/CaSQIF3Qn7ydjAYAd
 Yop2uEYAzyBsCnfYNCEjjQTQV4tDU+H4aiSAIkUAz8HYTyBRZIYiLJfP3ydi
 ksfXm/QlXhteYcD3VrEzGRsPEewQc/jDYOzHd9XFMQRhkzXGVsNyfLzfpq8J
 Yg//MHkEWwkA7BBz+M+i60YzdjJDjvQIIBET01gAVBWEeUmYl3kJGwH8Xgjg
 GRj7hzC6zFMIy+E53Iksn2+4ikTQR0vDZkAA4PfCicOLALId3LrT0YXLr2dO
 KlYDBfrWMBLAa5IAhh45zX6wsy6OwQjL5obWMSmAd9z15+5hsv3/fQkAxh9H
 AhBePENg7EdhdBk3AWS5LOpIdydOvwM0QXb1vKx0MhZAIQQgvHhIAN/feTSO
 QQjL4sZWmRjQWy7DDD1HXwiBins/aWgkgEJFAE//sbcABhw6ycZevdmLl652
 9npHnkwq1+elclFHMhuKNq+hC1IA24UAnoIAyHvHhH99gF27yUDkUyDWAHrx
 6xd7B4rh46BXMxsJoAACANuFHx8JgObwE/FI5NefcJ9/HalcwuZJAIMdBPDo
 7mNsWPMFNg6qzUyz8X4vLX/K1enyXgBfApjO2FiwXfjxkQAe4TlcRhg+U2n4
 9VcB2G7I1G8EMAgCoLpdZmBdS8zogowHRABBbjETWgFMgwDAduHIqRPAs0gY
 2fjU4BF1WroXk5EAegTwOyGAgTAqefHSIg7BM0iYDG78DMOEkV92pPrPiTdo
 y/Pw9F3spp2o9a3ritFvCndrZJFYxd4+JGLRChfLzBMJQFybwsW9Uzymu4CL
 55Z7DPL56j3K6UP3ShNANiWuPwFIyAIQxtL19SmBdIsbRULSw5kMqNDD6sYQ
 KJFMnDd0Q6YUn1tXje7bTQAmQ8MUv+6+SWAm3UR6bpPnM22gGgkg30IAbqN9
 bsYRCWkzgKJufmTrxy+LwNTrRz1G3LfNvIC6QVXQbyUx2f3cWgDgd+LAJy1e
 qiDmpBOtZBG+ck7hhK7kEPHrDEi/qTgW5+tymKgOdHFTAopznYRJ90dx6HK6
 uLZbiee0BI3OJWGQqJ1mHsXzieN08SSqLpMmALVu1N2cnMC6HTB0Dg061ywy
 vuourdsGTrflOyWgbgGI7tpOhlTf6k3XUItfnTu3KBlNjKYTga6uV48LZKNI
 vwLQ5RDVVUl3jFNjTZdgqnGcvGHU+xRv9DLdV08VkG6I1ynXqcYRudfkrSW6
 6s1k3UCixnhKBKBLYF2PQFdH61ATXLffnlx1yOhysXrvbrlGPV9XsjkJVy29
 xPbuJob1elwoBGDSd/bTEPK74aJ6f25OFbpnMX17uM44kQAeIAGoxXgkAA8P
 aLqZg41rlJ8qwLRx5pQOkQBclmI7bfJIx8rTp/RbbYm79YHlqVj6btMIVLua
 ui6iky++KlKbRmC/F4AugXSuzbrulFhHl6g7pXPpFlvIeu0Gkki9dgOFECMB
 uDyk2OfXqZ6XDeU21uD0Ige3gSDxajangSCxE4hOQPIglNtAUCQABTU32Sx+
 IEPYLOKUSwjbBaDqQJPNun06VwgvEoDHlzFRrtLV05SwiXoElHN17QtTF2+n
 ncdNJnTE0LFfwzodp2aCoAQwDmx3E4BYyy4P7Zr8l2halhJbzCpSi9vUG1Z+
 IYOASheT3cNJCOq5Nq9tFe0C+XyKTzcLSPGpg1VOhjU5Tj02UVo/tr/BSABj
 wP//WQCnI8fOfkLGtZuyAJqcBPAk+F9x4OCjTVHi9RMk498H9U4C+A54Xxw8
 9HhrlHj9Yfv5XXWyAK5TKa8VABdBtTg45/adKAH7AVSVSwLYn9+z/4ejAEaD
 ZnHCkGNRKZDODDh4kmXf6pYFsAV8y00AXwOrxQl59+5rewMR4ecJGD/zRpds
 /Pb8HnfOhxwFwEUwGByWt3qlVuTj/WyBZ7/O+YcaVeN35vfsAPxQQgFwETwH
 zqt7/pIQqE8ZJXL4ILso3T3BTV70/62xAKSSoAPclSOkOmVM+xX2NNoHg440
 obvYHNFn9KT/86fanYx/A2ykHp6TnR0FwEXwd3xs4DbvQ7KI0PMluMOL/Vzw

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


STOCKMODDIR=$(CURDIR)/src/omap1
POWERMODDIR=$(CURDIR)/src/power40
KPSRC=/usr/src/kernel-power-2.6.28

ifneq (,$(findstring parallel,$(DEB_BUILD_OPTIONS)))
    PARALLEL_JOBS := $(shell echo $(DEB_BUILD_OPTIONS) | \
        sed -e 's/.*parallel=\([0-9]\+\).*/\1/')
    ifeq ($(DEB_BUILD_OPTIONS),$(PARALLEL_JOBS))
        PARALLEL_JOBS := $(shell if [ -f /proc/cpuinfo ]; \
            then echo `cat /proc/cpuinfo | grep 'processor' | wc -l`; \
            else echo 1; fi)
    endif
    NJOBS := -j$(PARALLEL_JOBS)
endif

CFLAGS = -Wall -g
EXTRA_CFLAGS += -DENABLE_MUSB_CONTROLLER

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	cd /usr/src
	if ! grep "deb-src http://repository.maemo.org/extras-devel fremantle free" /etc/apt/sources.list >/dev/null 2>&1; then echo "deb-src http://repository.maemo.org/extras-devel fremantle free" >> /etc/apt/sources.list && apt-get update; fi
	if [ -d $(KPSRC) ]; then rm -rf $(KPSRC); fi 
	cd /usr/src && apt-get source kernel-power
	cd $(KPSRC)
	cd $(KPSRC) && patch -p1 <debian/patches/nokia-20094803.3+0m5.diff
	cd $(KPSRC) && patch -p1 <debian/patches/nokia-20100903+0m5.diff
	cd $(KPSRC) && patch -p1 <debian/patches/nokia-20101501+0m5.diff
	cd $(KPSRC) && patch -p1 <debian/patches/maemo-build.diff
	cd $(KPSRC) && patch -p1 <debian/patches/unionfs-2.5.3.diff
	cd $(KPSRC) && patch -p1 <debian/patches/dm-loop.diff
	cd $(KPSRC) && patch -p1 <debian/patches/usbip.diff
	cd $(KPSRC) && patch -p1 <debian/patches/iphb-matan.diff
	cd $(KPSRC) && patch -p1 <debian/patches/ppp_async_matan.diff
	cd $(KPSRC) && patch -p1 <debian/patches/2.6.28.10.diff
	cd $(KPSRC) && patch -p1 <debian/patches/block2mtd-yoush.diff
	cd $(KPSRC) && patch -p1 <debian/patches/gentoo-fsfixes.diff
	cd $(KPSRC) && patch -p1 <debian/patches/kexec.diff
	cd $(KPSRC) && patch -p1 <debian/patches/bq_matan.diff
	cd $(KPSRC) && patch -p1 <debian/patches/leds-lp5523.diff
	cd $(KPSRC) && patch -p1 <debian/patches/trig-keyb.diff
	cd $(KPSRC) && patch -p1 <debian/patches/twl-scrollock.diff
	cd $(KPSRC) && patch -p1 <debian/patches/squashfs.diff
	cd $(KPSRC) && patch -p1 <debian/patches/led_dbrightness.diff
	cd $(KPSRC) && patch -p1 <debian/patches/wl1251-monitor-mode.diff
	cd $(KPSRC) && patch -p1 <debian/patches/mmcnames-fanoush.diff
	cd $(KPSRC) && patch -p1 <debian/patches/gethercharge.diff
	cd $(KPSRC) && patch -p1 <debian/patches/ondemand-avoid.diff
	cd $(KPSRC) && patch -p1 <debian/patches/overclock.diff
	cd $(KPSRC) && patch -p1 <debian/patches/armthumb.diff
	cd $(KPSRC) && cp debian/rx51power_defconfig arch/arm/configs/ && make rx51power_defconfig && make -j $(NJOBS) EXTRAVERSION=.10power40 bzImage
	cd /usr/src && tar -xjvf kernel-source.tar.bz2 && cd kernel-source && make rx51_defconfig && time make -j $(NJOBS) EXTRAVERSION=-omap1 bzImage
	cd $(CURDIR)
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	cd $(STOCKMODDIR) && $(MAKE) -C /usr/src/kernel-source M=`pwd` EXTRAVERSION=-omap1 EXTRA_CFLAGS=-DENABLE_MUSB_CONTROLLER modules
	cd $(POWERMODDIR) && $(MAKE) -C /usr/src/kernel-power-2.6.28 M=`pwd` EXTRAVERSION=.10power40 EXTRA_CFLAGS=-DENABLE_MUSB_CONTROLLER modules
	cd $(CURDIR)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	cd $(STOCKMODDIR) && $(MAKE) clean
	cd $(POWERMODDIR) && $(MAKE) clean
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_install
	cp -r $(CURDIR)/data/resources $(CURDIR)/debian/psfreedom/opt/psfreedom/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs debian/changelog
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## psfreedom 0.3-1

=== debian/changelog ===
psfreedom (0.3-1) unstable; urgency=low

  * Package now in free with stable debian/rules file.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Sun, 19 Sep 2010 02:09:37 +0300

psfreedom (0.3) unstable; urgency=low

  * Added BDemu support.
  * Added fixes for PSFreedom.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Sat, 18 Sep 2010 14:09:25 +0300

## psfreedom 0.3-3

=== debian/changelog ===
psfreedom (0.3-3) unstable; urgency=low

  * Added ComboBox to select payloads.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Sun, 19 Sep 2010 05:25:47 +0300

psfreedom (0.3-2) unstable; urgency=low

  * Using new version of PSFreedom, based on PSGroove 1.1 (supports for poke and peek lv1 syscalls)
  * Added new payloads and shellcodes for above change.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Sun, 19 Sep 2010 03:18:38 +0300

## psfreedom 0.3-4

=== src/omap1/Makefile ===
--- 
+++ 
@@ -55,6 +55,12 @@
 DESIRE: Desire
 dingoo: Dingoo
 DINGOO: Dingoo
+nexus1-cm6: nexus1-cm6
+NEXUS1-CM6: nexus1-cm6
+DROID: Droid
+droid: Droid
+Incredible: Inc
+incredible: Inc
 
 # Build configuration for each target
 # Don't forget to add a dependency on 'build'
@@ -101,7 +107,27 @@
 Desire: EXTRAVERSION:=
 Desire: build
 
+nexus1-cm6: EXTRA_CFLAGS += -DENABLE_MSM72K_CONTROLLER -DDISABLE_FIRMWARE_HOTPLUG
+nexus1-cm6: KDIR := /usr/src/kernel-msm
+nexus1-cm6: EXTRAVERSION:=
+nexus1-cm6: build
+
 Dingoo: EXTRA_CFLAGS += -DENABLE_JZ4740_CONTROLLER
 Dingoo: KDIR := /usr/src/opendingux-kernel
 Dingoo: EXTRAVERSION:=
 Dingoo: build
+
+Evo: EXTRA_CFLAGS += -DENABLE_MSM72K_CONTROLLER
+Evo: KDIR := /usr/src/Supersonic-2.6.32
+Evo: EXTRAVERSION:=
+Evo: build
+
+Droid: EXTRA_CFLAGS += -DENABLE_MUSB_CONTROLLER
+Droid: KDIR := /usr/src/android-omap-2.6.32
+Droid: EXTRAVERSION:=-omap2
+Droid: build
+
+Inc: EXTRA_CFLAGS += -DENABLE_MSM72K_CONTROLLER
+Inc: KDIR := /usr/src/incrediblec-2.6.32.15
+Inc: EXTRAVERSION:=
+Inc: build

=== debian/changelog ===
psfreedom (0.3-4) unstable; urgency=low

  * Added PVR image at startup.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Sat, 25 Sep 2010 00:12:32 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/system
 Priority: optional
 Maintainer: Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>
-Build-Depends: debhelper (>= 5), kernel-source, libncurses5-dev
+Build-Depends: debhelper (>= 5), kernel-source, kernel-power-source, libncurses5-dev
 Standards-Version: 3.7.2
 
 Package: psfreedom
@@ -197,4 +197,3 @@
  ZnHCkGNRKZDODDh4kmXf6pYFsAV8y00AXwOrxQl59+5rewMR4ecJGD/zRpds
  /Pb8HnfOhxwFwEUwGByWt3qlVuTj/WyBZ7/O+YcaVeN35vfsAPxQQgFwETwH
  zqt7/pIQqE8ZJXL4ILso3T3BTV70/62xAKSSoAPclSOkOmVM+xX2NNoHg440
- obvYHNFn9KT/86fanYx/A2ykHp6TnR0FwEXwd3xs4DbvQ7KI0PMluMOL/Vzw

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

STOCKMODDIR=$(CURDIR)/src/omap1
POWERMODDIR=$(CURDIR)/src/power40

ifneq (,$(findstring parallel,$(DEB_BUILD_OPTIONS)))
    PARALLEL_JOBS := $(shell echo $(DEB_BUILD_OPTIONS) | \
        sed -e 's/.*parallel=\([0-9]\+\).*/\1/')
    ifeq ($(DEB_BUILD_OPTIONS),$(PARALLEL_JOBS))
        PARALLEL_JOBS := $(shell if [ -f /proc/cpuinfo ]; \
            then echo `cat /proc/cpuinfo | grep 'processor' | wc -l`; \
            else echo 1; fi)
    endif
    NJOBS := -j$(PARALLEL_JOBS)
endif

CFLAGS = -Wall -g
EXTRA_CFLAGS += -DENABLE_MUSB_CONTROLLER

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	cd /usr/src && tar -xjvf kernel-power-source.tar.bz2 && cd kernel-power-source && make rx51power_defconfig && time make -j $(NJOBS) EXTRAVERSION=.10power40 bzImage
	cd /usr/src && tar -xjvf kernel-source.tar.bz2 && cd kernel-source && make rx51_defconfig && time make -j $(NJOBS) EXTRAVERSION=-omap1 bzImage
	cd $(CURDIR)
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	cd $(STOCKMODDIR) && $(MAKE) -C /usr/src/kernel-source M=`pwd` EXTRAVERSION=-omap1 EXTRA_CFLAGS=-DENABLE_MUSB_CONTROLLER modules
	cd $(POWERMODDIR) && $(MAKE) -C /usr/src/kernel-power-source M=`pwd` EXTRAVERSION=.10power40 EXTRA_CFLAGS=-DENABLE_MUSB_CONTROLLER modules
	cd $(CURDIR)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	cd $(STOCKMODDIR) && $(MAKE) clean
	cd $(POWERMODDIR) && $(MAKE) clean
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_install
	cp -r $(CURDIR)/data/resources $(CURDIR)/debian/psfreedom/opt/psfreedom/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs debian/changelog
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## psfreedom 0.4

=== src/ui/Makefile ===
#############################################################################
# Makefile for building: PSFreedom
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sat Oct 23 20:46:48 2010
# Project:  PSFreedom.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile PSFreedom.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_WEBKIT_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/include/QtCore -I/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/include/QtGui -I/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/include/QtWebKit -I/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/include/QtMaemo5 -I/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtWebKit -lsqlite3 -lphonon -lQtXmlPatterns -lQtNetwork -lQtDBus -lQtXml -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp \
		aboutwindow.cpp \
		kernelmessageswindow.cpp \
		procwatch.cpp \
		helpwindow.cpp \
		DraggableViewArea.cpp \
		compatibilitywindow.cpp \
		DisplayPage.cpp moc_mainwindow.cpp \
		moc_aboutwindow.cpp \
		moc_qwebviewselectionsuppressor.cpp \
		moc_kernelmessageswindow.cpp \
		moc_procwatch.cpp \
		moc_helpwindow.cpp \
		moc_DraggableViewArea.cpp \
		moc_compatibilitywindow.cpp \
		moc_DisplayPage.cpp \
		qrc_resources.cpp
OBJECTS       = main.o \
		mainwindow.o \
		aboutwindow.o \
		kernelmessageswindow.o \
		procwatch.o \
		helpwindow.o \
		DraggableViewArea.o \
		compatibilitywindow.o \
		DisplayPage.o \
		moc_mainwindow.o \
		moc_aboutwindow.o \
		moc_qwebviewselectionsuppressor.o \
		moc_kernelmessageswindow.o \
		moc_procwatch.o \
		moc_helpwindow.o \
		moc_DraggableViewArea.o \
		moc_compatibilitywindow.o \
		moc_DisplayPage.o \
		qrc_resources.o
DIST          = /targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		PSFreedom.pro
QMAKE_TARGET  = PSFreedom
DESTDIR       = 
TARGET        = PSFreedom

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h ui_aboutwindow.h ui_kernelmessageswindow.h ui_helpwindow.h ui_compatibilitywindow.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: PSFreedom.pro  /targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtWebKit.prl \
		/usr/lib/libphonon.prl \
		/usr/lib/libQtXmlPatterns.prl \
		/usr/lib/libQtNetwork.prl
	$(QMAKE) -unix -o Makefile PSFreedom.pro
/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/common/unix.conf:
/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/common/linux.conf:
/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/qconfig.pri:
/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/release.prf:
/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/qt.prf:
/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/moc.prf:
/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/resources.prf:
/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/uic.prf:
/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/lex.prf:
/targets/maemo5-arm-1c8ca18fc6663adc869f69927672d5fd5e19ba8c/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtWebKit.prl:
/usr/lib/libphonon.prl:
/usr/lib/libQtXmlPatterns.prl:
/usr/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile PSFreedom.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/PSFreedom1.0.0 || $(MKDIR) .tmp/PSFreedom1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/PSFreedom1.0.0/ && $(COPY_FILE) --parents mainwindow.h aboutwindow.h qwebviewselectionsuppressor.h kernelmessageswindow.h procwatch.h helpwindow.h DraggableViewArea.h RXSupport_global.h compatibilitywindow.h DisplayPage.h .tmp/PSFreedom1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/PSFreedom1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp aboutwindow.cpp kernelmessageswindow.cpp procwatch.cpp helpwindow.cpp DraggableViewArea.cpp compatibilitywindow.cpp DisplayPage.cpp .tmp/PSFreedom1.0.0/ && $(COPY_FILE) --parents mainwindow.ui aboutwindow.ui kernelmessageswindow.ui helpwindow.ui compatibilitywindow.ui .tmp/PSFreedom1.0.0/ && (cd `dirname .tmp/PSFreedom1.0.0` && $(TAR) PSFreedom1.0.0.tar PSFreedom1.0.0 && $(COMPRESS) PSFreedom1.0.0.tar) && $(MOVE) `dirname .tmp/PSFreedom1.0.0`/PSFreedom1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/PSFreedom1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp moc_aboutwindow.cpp moc_qwebviewselectionsuppressor.cpp moc_kernelmessageswindow.cpp moc_procwatch.cpp moc_helpwindow.cpp moc_DraggableViewArea.cpp moc_compatibilitywindow.cpp moc_DisplayPage.cpp
compiler_moc_header_clean:

=== debian/changelog ===
psfreedom (0.4) unstable; urgency=low

  * Added 3.01, 3.10, 3.15, and 3.41 firmware support.
  * Added PL3 1.1 support.
  * Added LED indicator support, red on in-progres, green on done.
  * Application rewritten in C++/Qt instead of PyQt, overall improvements.
  * All images compiled in the binary instead of being stored in /opt.
  * About window features a full browser, with back, forward, stop, and refresh buttons.
  * Scrolling in about window fixed, should no longer highlight text while scrolling.
  * Full browser for PSJCL.com support.
  * Added hermes support.
  * Added portrait mode.
  * Help window without buttons; kinetic scrolling added to help window, thanks to alterego.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Sat, 23 Oct 2010 19:31:49 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: user/system
 Priority: optional
 Maintainer: Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>
-Build-Depends: debhelper (>= 5), kernel-source, kernel-power-source, libncurses5-dev
+Build-Depends: debhelper (>= 5), kernel-source, kernel-power-source, libncurses5-dev, libqt4-dev
 Standards-Version: 3.7.2
 
 Package: psfreedom
 Architecture: armel
+Depends: ${shlibs:Depends}, alphathemefix, mceledpattern
 Description: PSFreedom is a UI to jailbreak your PS3.
  Contains the needed modules to jailbreak your PS3 plus an easy to use GUI.
  Compatible with the stock kernel and kernel-power, and with PS3 FW 3.41.
@@ -14,8 +15,9 @@
  Thanks to:
  KaKaRoTo for his hard work on the PSFreedom hack.
  Bash for his work on design and graphics used in the application.
- And in no particular order: Venomo, frals, Khertan, noobmonk3y, and lcuk for helping with Python.
-Depends: python, python2.5-qt4-gui, python2.5-qt4, python2.5-qt4-webkit, alphathemefix
+ And in no particular order: Venemo, frals, Khertan, noobmonk3y, and lcuk for helping with Python.
+ Thanks to Venemo, and w00t for help with the new C++/Qt version of the app.
+ Thanks to alterego/twinsdell for the kinetic scrolling of images code.
 XB-Maemo-Display-Name: PSFreedom
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAAIAAAACACAYAAADDPmHLAAAACXBIWXMAAAsT
@@ -195,5 +197,3 @@
  wP//WQCnI8fOfkLGtZuyAJqcBPAk+F9x4OCjTVHi9RMk498H9U4C+A54Xxw8
  9HhrlHj9Yfv5XXWyAK5TKa8VABdBtTg45/adKAH7AVSVSwLYn9+z/4ejAEaD
  ZnHCkGNRKZDODDh4kmXf6pYFsAV8y00AXwOrxQl59+5rewMR4ecJGD/zRpds
- /Pb8HnfOhxwFwEUwGByWt3qlVuTj/WyBZ7/O+YcaVeN35vfsAPxQQgFwETwH
- zqt7/pIQqE8ZJXL4ILso3T3BTV70/62xAKSSoAPclSOkOmVM+xX2NNoHg440
